Subject: [Ietf-behave] turn02 REQUESTED-TRANSPORT

From: "Alfred E. Heggestad" <[email-masked]>
Date: Sun, 15 Oct 2006 11:14:25 -0500 (CDT) (envelope-from [email-masked])

hi

I have a questions about Section 10.7 in draft-ietf-behave-turn-02.txt:

> 10.7  REQUESTED-TRANSPORT
>
>    This attribute is used by the client to request a specific transport
>    protocol for the allocated transport address.  It is a 32 bit
>    unsigned integer.  Its values are:
>
>
>    0x0000 0000: UDP
>    0x0000 0001: TCP
>
>    If an Allocate request is sent over TCP and requests a UDP
>    allocation, or an Allocate request is sent over TLS over TCP and
>    requests a UDP or TCP allocation, the server will relay data between
>    the two transports.
>
>    Extensions to the relay usage can define additional transport
>    protocols.  [[TODO: Add IANA registry]]

Instead of defining two new values for UDP/TCP transport can we reuse
e.g. the values defined in netinet/in.h:

...
    IPPROTO_TCP = 6,       /* Transmission Control Protocol.  */
    IPPROTO_UDP = 17,      /* User Datagram Protocol.  */
...

this way implementors can avoid yet another mapping between STUN-specific
values (e.g. Address Families) and host-specific values.. (POSIX)  ;)

/alfred

---

From: Lars Eggert <[email-masked]>
Date: Sun, 15 Oct 2006 19:15:12 -0500 (CDT) (envelope-from [email-masked])

On Oct 16, 2006, at 1:15, Alfred E. Heggestad wrote:

These are taken from the IANA registry for protocol numbers (http:// 
www.iana.org/assignments/protocol-numbers), and I agree that using  
those numbers would be better than creating a new registry.

Lars
--
Lars Eggert                                     NEC Network Laboratories